Subject: Re: [PATCH] Implement IP_UNICAST_IF socket option.

From: Hagen Paul Pfeifer <[email-masked]>
Date: Fri, 27 Jan 2012 10:01:48 +0100

On Thu, 26 Jan 2012 16:57:48 -0700, "Erich E. Hoover" wrote:

> The IP_UNICAST_IF feature is needed by the Wine project.  This patch

> implements the feature by setting the outgoing interface in the same

> fashion as that of IP_PKTINFO.

Why duplicate functionality - rewrite your application and use IP_PKTINFO

or bind() your socket. This patch duplicate already existing functionality

(and bloat inet_sock unnecessarily).

Hagen